public class ThreadingList {
	public static void main(String[] args) {
		ThreadingList t = new ThreadingList();
		t.go();
	}
	
	public void go() {
		this.lst = new List(0);
		Thread t1 = new A();
		Thread t2 = new B();
		t1.start();
		t2.start();
		try {
			t1.join();
			t2.join();
		}
		catch (InterruptedException e) {}
		System.out.print(lst.length());
	}
	
	
	public List lst;
	
	class A extends Thread {
		public void run() {
			int cnt1 = 1;
			while (cnt1 <= 500) {
				lst.add(2*cnt1);
				cnt1++;
			}
		}
	}
	
	
	class B extends Thread {
		public void run() {
			int cnt2 = 1;
			while (cnt2 <= 500) {
				lst.add(2*cnt2 - 1);
				cnt2++;
			}
		}
	}
}


class List {
	int val;
	List next;
	
	public List(int val, List next) {
		this.val = val;
		this.next = next;
	}
	
	public List(int val) {
		this.val = val;
		this.next = null;
	}
	
	public synchronized void add(int val) {
		List newl = new List(this.val, this.next);
		this.val = val;
		this.next = newl;
	}
	
	public int length() {
		return this.next == null ? 1 : 1 + next.length(); 
	}
	
}